﻿using BizHawk.Emulation.Common;

namespace BizHawk.Emulation.Cores
{
	/// <summary>
	/// holds the names of ported and Hawk cores as consts,
	/// to be used for <see cref="CoreAttribute">[Core]</see> and various front-end needs
	/// (though sadly not in Designer files)
	/// </summary>
	public static class CoreNames
	{
		public const string A7800Hawk = "A7800Hawk";
		public const string Atari2600Hawk = "Atari2600Hawk";
		public const string Bsnes = "BSNES";
		public const string Bsnes115 = "BSNESv115+";
		public const string C64Hawk = "C64Hawk";
		public const string ChannelFHawk = "ChannelFHawk";
		public const string ColecoHawk = "ColecoHawk";
		public const string CPCHawk = "CPCHawk";
		public const string Cygne = "Cygne/Mednafen";
		public const string DobieStation = "DobieStation";
		public const string DualGambatte = "DualGambatte";
		public const string Faust = "Faust";
		public const string Gambatte = "Gambatte";
		public const string GbHawk = "GBHawk";
		public const string GBHawkLink = "GBHawkLink";
		public const string GBHawkLink3x = "GBHawkLink3x";
		public const string GBHawkLink4x = "GBHawkLink4x";
		public const string GGHawkLink = "GGHawkLink";
		public const string Gpgx = "Genplus-gx";
		public const string Handy = "Handy";
		public const string HyperNyma = "HyperNyma";
		public const string IntelliHawk = "IntelliHawk";
		public const string Libretro = "Libretro";
		public const string MAME = "MAME";
		public const string MelonDS = "MelonDS";
		public const string Mgba = "mGBA";
		public const string MSXHawk = "MSXHawk";
		public const string Mupen64Plus = "Mupen64Plus";
		public const string NesHawk = "NesHawk";
		public const string NeoPop = "NeoPop";
		public const string O2Hawk = "O2Hawk";
		public const string Octoshock = "Octoshock";
		public const string PceHawk = "PCEHawk";
		public const string PicoDrive = "PicoDrive";
		public const string QuickNes = "QuickNes";
		public const string SameBoy = "SameBoy";
		public const string Saturnus = "Saturnus";
		public const string SMSHawk = "SMSHawk";
		public const string Snes9X = "Snes9x";
		public const string SubGbHawk = "SubGBHawk";
		public const string SubNesHawk = "SubNESHawk";
		public const string TI83Hawk = "TI83Hawk";
		public const string TST = "T. S. T.";
		public const string TurboNyma = "TurboNyma";
		public const string Uzem = "uzem";
		public const string VectrexHawk = "VectrexHawk";
		public const string Virtu = "Virtu";
		public const string VirtualBoyee = "Virtual Boyee";
		public const string ZXHawk = "ZXHawk";
	}
}
